import { Nullable } from 'bf-types';
import { GetAccessTokenProps } from '../auth/Auth';
export declare type ClientConfigSettings = ApiKeyClientConfigSettings | OpenIdClientConfigSettings | TokenClientConfigSettings;
export declare type ApiKeyClientConfigSettings = {
    apiKey: string;
};
export declare type TokenClientConfigSettings = {
    getAccessToken: (options?: GetAccessTokenProps) => Promise<Nullable<string>>;
};
export declare type OpenIdClientConfigSettings = {
    clientId: string;
    clientSecret: string;
    issuerURI: string;
    scopes?: string[];
};
