import { Api, Auth, Module, NexusConfig } from 'bf-lib';
import { Multitool } from 'bf-lib/multitool';
import { InitSettings } from 'bf-lib/system/Types';
import authProvider, { GetAccessTokenProps } from './auth/Auth';
import { ClientConfigSettings, LogUtil, Nullable } from './common';
export { Api, Auth, Module, ClientConfigSettings, NexusConfig };
export { authProvider };
export declare type ConfigSettings = Omit<InitSettings, 'auth' | 'logging' | 'client' | 'nexus'> & {
    nexus: NexusConfig;
    client: ClientConfigSettings;
};
export interface BfLibNode {
    api: Api;
    auth: Auth;
    module: Module;
    multitool: Multitool;
    log: LogUtil;
    getAccessToken: (options?: GetAccessTokenProps) => Promise<Nullable<string>>;
    protected: (impersonate: InitSettings['impersonate']) => Promise<BfLibNode>;
}
export default function bflib(settings: ConfigSettings): Promise<BfLibNode>;
